Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1046915 - FTBFS
Summary: FTBFS
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: python-matplotlib
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 7.3
Assignee: John Kacur
QA Contact: Jan Kepler
URL:
Whiteboard:
Depends On:
Blocks: 1313485 RT7.3-RHELpkgs 1353018
TreeView+ depends on / blocked
 
Reported: 2013-12-27 11:21 UTC by Zenon Panoussis
Modified: 2017-01-31 15:17 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-31 15:17:46 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Zenon Panoussis 2013-12-27 11:21:54 UTC
rpmbuild -ba python-matplotlib.spec
...
Traceback (most recent call last):end_wxagg_api
  File "/usr/lib/python2.7/site-packages/sphinx/ext/autodoc.py", line 321, in import_object
    __import__(self.modname)
  File "rpmbuild/BUILD/matplotlib-1.2.0/build/lib.linux-i686-2.7/matplotlib/backends/backend_wxagg.py", line 23, in <module>
    import backend_wx    # already uses wxversion.ensureMinimal('2.8')
  File "rpmbuild/BUILD/matplotlib-1.2.0/build/lib.linux-i686-2.7/matplotlib/backends/backend_wx.py", line 52, in <module>
    raise ImportError(missingwxversion)
ImportError: Matplotlib backend_wx and backend_wxagg require wxversion, which was not found.
Building HTML failed.17%] examples/api/logo2

With python-2.7 this creates a dependency on wxPython >=2.8.

Comment 2 RHEL Program Management 2014-03-22 06:19:38 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 4 John Kacur 2016-07-13 12:16:23 UTC
There are a number of compile issues, that were brought to our attention rather late in the cycle, so moving this to rhel-7.4

Comment 6 John Kacur 2017-01-31 15:17:46 UTC
We are not providing a matplotlib wx backend in rhel-7.x at this time, see also https://bugzilla.redhat.com/show_bug.cgi?id=1309744


Note You need to log in before you can comment on or make changes to this bug.